import { DataApi } from '@dvn/core/api';
import { ComponentDataProvider } from '@dvn/core/doldurma/src/providers/ComponentDataProvider';
import { DataModel } from '@dvn/core/models/data-model';
import { ListFetchState } from '@dvn/core/models/list-fetch-state';
import { ListQueryConfig } from '@dvn/core/models/query';
import { QuickSearchConfig } from '@dvn/core/models/quick-search-config';
export declare class DvnDataProvider implements ComponentDataProvider<Array<DataModel>> {
  private collection;
  private query;
  private readonly quickSearch?;
  private quickSearchText?;
  private didQuickSearchChangeAfterLastFetch;
  private api;
  private initialData?;
  list: ListFetchState;
  constructor(dataApi: DataApi, collection: string, query: ListQueryConfig, initialData?: Array<DataModel>, quickSearch?: QuickSearchConfig);
  getInitialData(): Promise<DataModel[]>;
  getData(): Promise<DataModel[]>;
  setInitialData(initialData?: Array<DataModel>): void;
  setQuickSearchText(text: string): void;
  getQuickSearchText(): string;
  isQuickSearchEnabled(): boolean;
}
